package com.gh.gamecenter.mygame

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import com.gh.gamecenter.livedata.Event

class MyGameActivityViewModel : ViewModel() {

    private val _reservePageStatus = MutableLiveData<MyReservationFragment.ReservePageState>()
    val reservePageStatus: LiveData<MyReservationFragment.ReservePageState> = _reservePageStatus
    fun changePageStatus(state: MyReservationFragment.ReservePageState) {
        if (state != reservePageStatus.value) {
            _reservePageStatus.value = state
        }
    }
}